Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface JMSEventGenConfigurationMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, weblogic.descriptor.DescriptorBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

    public interface JMSEventGenConfigurationMBean

extends weblogic.management.configuration.ConfigurationMBean

Manages channel rules for a JMS Event Generator.

See Also:
  `JMSEventGeneratorsMBean`

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).
`static String` | `TYPE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`JMSEventGenChannelConfiguration[]` | `getChannels()` Get all the channels for this event generator
`String` | `getEventGeneratorName()` Get the name of the event generator
`String[]` | `getForeignJmsDestinationNames()` Get a list of JNDI names of JMS foreign destination name in the system
`String[]` | `getJmsQueueNames()` Get a list of JNDI names of JMS queues name in the system
`String[]` | `getJmsTopicNames()` Get a list of JNDI names of JMS topics name in the system
`String` | `getSourceJndiName()` Get the source JNDI name of the event generator
`void` | `setChannels(JMSEventGenChannelConfiguration[] channelsData)` Set all the channels for this event generator

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getComments, getName, getNotes, isDefaultedMBean, isPersistenceEnabled, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, touch, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### TYPE

    static final String TYPE

See Also:
  Constant Field Values

### CACHING_STUB_SVUID

    static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getEventGeneratorName

    String getEventGeneratorName()

  Get the name of the event generator

  Returns:
    name of the event generator

### getSourceJndiName

    String getSourceJndiName()

  Get the source JNDI name of the event generator

  Returns:
    source JNDI name of the event generator

### setChannels

    void setChannels(JMSEventGenChannelConfiguration[] channelsData)
                     throws javax.management.MBeanException

  Set all the channels for this event generator

  Parameters:
    `channelsData` - Channels to add
  Throws:
    `javax.management.MBeanException`

### getChannels

    JMSEventGenChannelConfiguration[] getChannels()

  Get all the channels for this event generator

  Returns:
    the Channels for this event generator

### getJmsQueueNames

    String[] getJmsQueueNames()

  Get a list of JNDI names of JMS queues name in the system

  Returns:
    list of JMS queues

### getJmsTopicNames

    String[] getJmsTopicNames()

  Get a list of JNDI names of JMS topics name in the system

  Returns:
    list of JMS topics

### getForeignJmsDestinationNames

    String[] getForeignJmsDestinationNames()

  Get a list of JNDI names of JMS foreign destination name in the system

  Returns:
    list of JMS destinations

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD